const debug=require('debug')('debug');
const db = require('./db');

require('dotenv').config();

async function get() {
    debug('number-of-trips start...');

    const schema = process.env.DB_SCHEMA || 'schema';
    debug('schema: ' + schema );

    //TODO Sort trips by agency name descending!
    const query='SELECT * FROM ' + schema + '.vw_trip_count';
    debug('query: '+query);

    return await db.query( query );
}
      
module.exports = {
  get
}
