require('dotenv').config();

const db = require('./db');

/**
 * Get trips that belong to the certain route_id and day
 *
 * @return Array of trips
 */
async function get(routeid = 0, day = '2023-12-16') {

    const schema = process.env.DB_SCHEMA || 'schema';

    //TODO Sort by timestamp!
    const query = `SELECT trip_id, trip_short_name, trip_headsign, timestamp_pgsql, route_id, route_short_name FROM ` + schema + `.vw_join_rts_trps_srvcs_pdts WHERE dates like '%${day}%' and route_id = '${routeid}';`

    return await db.query(query);
};
      
module.exports = {
    get
};
